Skip to main content
GET
/
v1
/
applications
/
{uid}
Retrieve an Application
curl --request GET \
  --url https://api.siit.io/v1/applications/{uid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.siit.io/v1/applications/{uid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.siit.io/v1/applications/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uid": "<string>",
  "admin_permalink_url": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "about": "<string>",
  "app_link": "<string>",
  "app_owner": "<string>",
  "app_owner_uid": "<string>",
  "app_owner_backup": "<string>",
  "app_owner_backup_uid": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "discovered_at": "2023-12-25",
  "name": "<string>",
  "renewal_date": "2023-12-25",
  "status": "discovered",
  "total_annual_cost": 0,
  "updated_at": "2023-11-07T05:31:56Z",
  "instances": [
    "<string>"
  ],
  "users_count": 123
}
{
"error": "<string>",
"troubleshoot": "<string>"
}

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Application

Response

Application show

uid
string
read-only

The UID of the Application

The link to the Application in Siit admin dashboard

archived_at
string<date-time> | null
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

about
string | null

A short description of the Application

The URL to the Application

app_owner

The App owner. Can only be a User for now but this might evolve. Pass ?expand[]=field_name for full object.

app_owner_uid
string | null
deprecated

DEPRECATED: Use app_owner instead. The UID of app owner.

app_owner_backup

The App owner backup. Can only be a User for now but this might evolve. Pass ?expand[]=field_name for full object.

app_owner_backup_uid
string | null
deprecated

DEPRECATED: Use app_owner_backup instead. The UID of app owner backup.

created_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

currency
string | null
discovered_at
string<date>

date formatted as ISO 8601 (e.g. "2020-12-15")

lifecycle
enum<string> | null

Empty when status is not "approved"

Available options:
active,
cost_optimization,
deprecated,
evaluating,
security_assessment
name
string

The Application name

renewal_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

status
enum<string>
default:discovered

The status of the Application

Available options:
approved,
discovered,
restricted
total_annual_cost
number | null
default:0

Application's annual cost.

updated_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

instances

Application instances from providers. Pass ?expand[]=field_name for full objects.

users_count
integer
read-only

Number of Siit users attached to the Application